Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Publish\Core\Persistence\Legacy\UserPreference\Gateway Class Reference
Inheritance diagram for eZ\Publish\Core\Persistence\Legacy\UserPreference\Gateway:

## Public Member Functions
| setUserPreference (UserPreferenceSetStruct $userPreference)
| Store UserPreference ValueObject in persistent storage. More...
| getUserPreferenceByUserIdAndName (int $userId, string $name)
| Get UserPreference by its user ID and name. More...
| countUserPreferences (int $userId)
| loadUserPreferences (int $userId, int $offset=0, int $limit=-1)

## Detailed Description

Definition at line 13 of file Persistence/Legacy/UserPreference/Gateway.php.

## Member Function Documentation

## ◆ countUserPreferences()

eZ\Publish\Core\Persistence\Legacy\UserPreference\Gateway::countUserPreferences | ( | int | $userId | ) |
| abstract

Parameters

  int | $userId |

Returns
  int

Reimplemented in eZ\Publish\Core\Persistence\Legacy\UserPreference\Gateway\ExceptionConversion, and eZ\Publish\Core\Persistence\Legacy\UserPreference\Gateway\DoctrineDatabase.

## ◆ getUserPreferenceByUserIdAndName()

eZ\Publish\Core\Persistence\Legacy\UserPreference\Gateway::getUserPreferenceByUserIdAndName | ( | int | $userId,
|  | string | $name
| ) |  |
| abstract

Get UserPreference by its user ID and name.

Parameters

  int | $userId |
  string | $name |

Returns
  array

Reimplemented in eZ\Publish\Core\Persistence\Legacy\UserPreference\Gateway\ExceptionConversion, and eZ\Publish\Core\Persistence\Legacy\UserPreference\Gateway\DoctrineDatabase.

## ◆ loadUserPreferences()

eZ\Publish\Core\Persistence\Legacy\UserPreference\Gateway::loadUserPreferences | ( | int | $userId,
|  | int | $offset = `0`,
|  | int | $limit = `-1`
| ) |  |
| abstract

Parameters

  int | $userId |
  int | $offset |
  int | $limit |

Returns
  array

Reimplemented in eZ\Publish\Core\Persistence\Legacy\UserPreference\Gateway\ExceptionConversion, and eZ\Publish\Core\Persistence\Legacy\UserPreference\Gateway\DoctrineDatabase.

## ◆ setUserPreference()

eZ\Publish\Core\Persistence\Legacy\UserPreference\Gateway::setUserPreference | ( | UserPreferenceSetStruct | $userPreference | ) |
| abstract

Store UserPreference ValueObject in persistent storage.

Parameters

  \eZ\Publish\SPI\Persistence\UserPreference\UserPreferenceSetStruct | $userPreference |

Returns
  int

Reimplemented in eZ\Publish\Core\Persistence\Legacy\UserPreference\Gateway\DoctrineDatabase, and eZ\Publish\Core\Persistence\Legacy\UserPreference\Gateway\ExceptionConversion.

The documentation for this class was generated from the following file:

- Persistence/Legacy/UserPreference/Gateway.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.